@charset "utf-8";

body {
    margin: 0;
}

html, body, #map {
    width: 100%;
    height: 100%;
}

.tools {
    z-index: 200;
    background-color: white;
    padding: 0.5em 0.5em 0.5em 0.5em;
    opacity: 0.9;
}

#pantool {
    position: fixed;
    top: 10em;
    left: 1em;
    width: 512px;
}

#layertree {
    position: absolute;
    bottom: 5em;
    left: 1em;
    width: 512px;
}

#layer {
    position: absolute;
    top: 15em;
    left: 1em;
    width: 512px;
}

#leftmenubtn {
    position: absolute;
    top: 2em;
    left: 0.3em;
    z-index: 200;
}

#footer {
    position: fixed;
    left: 0em;
    bottom: 0em;
    width: 15em;
    height: 1em;
    z-index: 199;
    background-color: white;
    opacity: 0.7;
}

#footer #location {
    float: right;
    font-size: 10pt;
}


/* sidenav 메뉴 */

.sidenav {
    height: 100%;
    width: 0;
    /* 동적으로 수정됨 */
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    background-color: #7C99BD;
    overflow-x: hidden;
    /* 가로 스크롤 허용안함 */
    padding-top: 60px;
    /* 상단으로부터 내용의 위치 */
    transition: 0.5s;
    /* 슬라이드 효과에 걸리는 시간 */
    opacity: 0.8;
}


/* sidenav 메뉴 링크 */

.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 20px;
    color: #f2f2f2;
    display: block;
    transition: 0.3s;
}


/* 링크 마우스 오버 */

.sidenav a:hover,
.offcanvas a:focus {
    color: #818181;
}


/* 닫기 버튼 (좌상단) */

.closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px !important;
    margin-left: 50px;
}


/* 페이지 내용 스타일 - 메뉴와 함께 페이지 내용이 우측으로 밀리기를 원할 때 사용하세요 */

#main {
    transition: margin-left .5s;
    padding: 20px;
}


/* 창의 높이가 450px 이하일 때, 사이드내비의 스타일을 변경합니다. (최소 패딩, 폰트 크기 줄임)*/

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }
    .sidenav a {
        font-size: 18px;
    }
}


/* 그림자 효과 */

.sidenav,
#layertree,
#pantool {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 
                0 6px 20px 0 rgba(0, 0, 0, 0.19);
}


/* 텍스트 그림자 효과 */

#leftmenubtn, .closebtn {
    text-shadow: 0 0 3px #000000;
}


/* 줄바꿈 막기 */

#pantool h4, h6 {
    display: inline;
}
#layertree h4, h6 {
    display: inline;
}

/* 모든 테이블 공통 */
table {
    border: 0px solid lightgray;
    border-spacing: 5px;
}

table td, th {
    padding: 0.3em;
    border: 1px dot black;
}

th {
    background-color: #9E9E9E;
    color: white;
}
tr:nth-child(even) {background-color: #f2f2f2}

.control-header {
    padding-bottom: 15px;
}
.control-header p {
    margin: 0;
    padding: 4px;
    font-size: 16px;
    font-weight: bold;
}

/* The Modal (background) */
.modal {
    display: none;
    position: fixed;
    z-index: 1001;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4); 
}

.modal-inner {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 80%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),
                0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animationtop;
    animation-duration: 0.4s;
}

@-webkit-keyframes animatetop {
    from {top:-300px; opacity: 0}
    to {top:0; opacity: 1}
}

@keyframes animatetop {
    from {top:-300px; opacity: 0}
    to {top:0; opacity: 1};
}

.close {
    position: absolute;
    right: 0;
    top: -30px;
    color: white;
    font-size: 25px;
    font-weight: bold; 
}

.close:hover,
.close:focus {
    color: #000;
    cursor: pointer;
}

.modal-inner { padding: 15px 15px; }
